#Imports
import es
import os
import playerlib
from . import ex #Mibs Download System
import cfglib
import random

#Info
info = es.AddonInfo()
info['name'] = "DreTaXHitS"
info['version'] = "1.0"
info['author'] = "DreTaX"
info['url'] = "http://addons.eventscripts.com/addons/user/56071"
info['description'] = "Hit Sounds"
info['date'] = "2012.11.21"

#Config
config = cfglib.AddonCFG(es.getAddonPath("dretaxhits") + "/dretaxhits.cfg")
config.text("DreTaXHits SETTINGS")
dretaxhitsenable    = config.cvar("dretaxhitsenable",     1, "Enable/disable Hits")
config.write()

def load():
	es.ServerVar("DreTaXHits",info.version,info.description).makepublic()
	downloadpath = es.getAddonPath("dretaxhits") + "/downloads.txt"
	ex.makedownloads(downloadpath)
	es.mexec("../addons/eventscripts/dretaxhits/dretaxhits.cfg")

def es_map_start(ev):
	downloadpath = es.getAddonPath("dretaxhits") + "/downloads.txt"
	ex.makedownloads(downloadpath)
	es.mexec("../addons/eventscripts/dretaxhits/dretaxhits.cfg")
	
def player_hurt(event_var):
	attacker = playerlib.getPlayer(event_var['attacker'])
	victim = playerlib.getPlayer(event_var['userid'])
	bulletsound = random.randint(1, 5)
	if dretaxhitsenable == 1:
		es.playsound(attacker, 'dretaxhits/athit.wav', 1.0)
		if bulletsound == 1:
			es.playsound(victim, 'dretaxhits/hit1.wav', 1.0)
		if bulletsound == 2:
			es.playsound(victim, 'dretaxhits/hit2.wav', 1.0)
		if bulletsound == 3:
			es.playsound(victim, 'dretaxhits/hit3.wav', 1.0)
		if bulletsound == 4:
			es.playsound(victim, 'dretaxhits/hit4.wav', 1.0)
		if bulletsound == 5:
			es.playsound(victim, 'dretaxhits/hit5.wav', 1.0)